Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4444)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4450)
@@ -4236,8 +4235,8 @@
                 CALL get_variable( pids_id, 'zsoil', init_3d%z_soil )
              ENDIF
-!           
+!
 !--          Read initial data for soil moisture
              IF ( check_existence( vars_pids, 'init_soil_m' ) )  THEN
-!           
+!
 !--             Read attributes for the fill value and level-of-detail
                 CALL get_attribute( pids_id, char_fill,                        &
@@ -4247,27 +4246,27 @@
                                     init_3d%lod_msoil,                         &
                                     .FALSE., 'init_soil_m' )
-!           
+!
 !--             level-of-detail 1 - read initialization profile
                 IF ( init_3d%lod_msoil == 1 )  THEN
                    ALLOCATE( init_3d%msoil_1d(0:init_3d%nzs-1) )
-            
+
                    CALL get_variable( pids_id, 'init_soil_m',                  &
                                       init_3d%msoil_1d(0:init_3d%nzs-1) )
-!           
+!
 !--             level-of-detail 2 - read 3D initialization data
                 ELSEIF ( init_3d%lod_msoil == 2 )  THEN
                    ALLOCATE ( init_3d%msoil_3d(0:init_3d%nzs-1,nys:nyn,nxl:nxr) )
-            
-                  CALL get_variable( pids_id, 'init_soil_m',                   &   
+
+                  CALL get_variable( pids_id, 'init_soil_m',                   &
                              init_3d%msoil_3d(0:init_3d%nzs-1,nys:nyn,nxl:nxr),&
                              nxl, nxr, nys, nyn, 0, init_3d%nzs-1 )
-            
+
                 ENDIF
                 init_3d%from_file_msoil = .TRUE.
              ENDIF
-!           
+!
 !--          Read soil temperature
              IF ( check_existence( vars_pids, 'init_soil_t' ) )  THEN
-!           
+!
 !--             Read attributes for the fill value and level-of-detail
                 CALL get_attribute( pids_id, char_fill,                        &
@@ -4277,18 +4276,18 @@
                                     init_3d%lod_tsoil,                         &
                                     .FALSE., 'init_soil_t' )
-!           
+!
 !--             level-of-detail 1 - read initialization profile
                 IF ( init_3d%lod_tsoil == 1 )  THEN
                    ALLOCATE( init_3d%tsoil_1d(0:init_3d%nzs-1) )
-            
+
                    CALL get_variable( pids_id, 'init_soil_t',                  &
                                       init_3d%tsoil_1d(0:init_3d%nzs-1) )
-            
-!           
+
+!
 !--             level-of-detail 2 - read 3D initialization data
                 ELSEIF ( init_3d%lod_tsoil == 2 )  THEN
                    ALLOCATE ( init_3d%tsoil_3d(0:init_3d%nzs-1,nys:nyn,nxl:nxr) )
-                   
-                   CALL get_variable( pids_id, 'init_soil_t',                  &   
+
+                   CALL get_variable( pids_id, 'init_soil_t',                  &
                              init_3d%tsoil_3d(0:init_3d%nzs-1,nys:nyn,nxl:nxr),&
                              nxl, nxr, nys, nyn, 0, init_3d%nzs-1 )
@@ -4296,21 +4295,21 @@
                 init_3d%from_file_tsoil = .TRUE.
              ENDIF
-!           
+!
 !--          Close the input file and deallocate temporary arrays
              DEALLOCATE( vars_pids )
 
              CALL close_input_file( pids_id )
-#endif      
-!           
+#endif
+!
 !--          End of CPU measurement
              CALL cpu_log( log_point_s(85), 'NetCDF input init', 'stop' )
           ENDIF
 !
-!--       In case no dynamic input is available for a child domain but the 
-!--       parent is initialized with dynamic input file, the different soil 
-!--       states can lead to significant discrepancies in the atmospheric 
+!--       In case no dynamic input is available for a child domain but the
+!--       parent is initialized with dynamic input file, the different soil
+!--       states can lead to significant discrepancies in the atmospheric
 !--       surface forcing. For this reason, the child domain is initialized with
 !--       domain-averaged soil profiles from the root domain, even if
-!--       no initialization with inifor is set. Note, as long as a dynamic 
+!--       no initialization with inifor is set. Note, as long as a dynamic
 !--       input file with soil information is available for the child domain,
 !--       the input file information will be used.
@@ -4318,9 +4317,9 @@
 #if defined( __parallel )
 !
-!--          Check if soil moisture and temperature in the root model are 
-!--          initialized from dynamic input. This case, distribute these 
+!--          Check if soil moisture and temperature in the root model are
+!--          initialized from dynamic input. This case, distribute these
 !--          information to its child domain(s).
              IF ( pmc_is_rootmodel() )  THEN
-                init_msoil_from_driver_root = init_3d%from_file_msoil 
+                init_msoil_from_driver_root = init_3d%from_file_msoil
                 init_tsoil_from_driver_root = init_3d%from_file_tsoil
              ENDIF
@@ -4331,5 +4330,5 @@
                              0, MPI_COMM_WORLD, ierr )
 !
-!--          In case of a nested run, first average the soil profiles in the 
+!--          In case of a nested run, first average the soil profiles in the
 !--          root domain.
              IF ( init_msoil_from_driver_root  .OR.                            &
@@ -4338,7 +4337,7 @@
                 IF ( pmc_is_rootmodel() )  THEN
 !
-!--                Child domains will be only initialized with horizontally 
-!--                averaged soil profiles in parent domain (for sake of simplicity). 
-!--                If required, average soil data on root parent domain before the 
+!--                Child domains will be only initialized with horizontally
+!--                averaged soil profiles in parent domain (for sake of simplicity).
+!--                If required, average soil data on root parent domain before the
 !--                soil profiles are distributed onto the child domains.
 !--                Start with soil moisture.
@@ -4349,7 +4348,7 @@
                          pr_soil_init(k) = SUM( init_3d%msoil_3d(k,nys:nyn,nxl:nxr)  )
                       ENDDO
-!               
-!--                   Allocate 1D array for soil-moisture profile (will not be 
-!--                   allocated in lod==2 case). 
+!
+!--                   Allocate 1D array for soil-moisture profile (will not be
+!--                   allocated in lod==2 case).
                       ALLOCATE( init_3d%msoil_1d(0:init_3d%nzs-1) )
                       init_3d%msoil_1d = 0.0_wp
@@ -4357,21 +4356,21 @@
                                           SIZE(pr_soil_init),                  &
                                           MPI_REAL, MPI_SUM, comm2d, ierr )
-                
+
                       init_3d%msoil_1d = init_3d%msoil_1d /                    &
                                         REAL( ( nx + 1 ) * ( ny + 1), KIND=wp )
                       DEALLOCATE( pr_soil_init )
                    ENDIF
-!               
+!
 !--                Proceed with soil temperature.
                    IF ( init_3d%from_file_tsoil  .AND.                         &
                         init_3d%lod_tsoil == 2 )  THEN
                       ALLOCATE( pr_soil_init(0:init_3d%nzs-1) )
-                
+
                       DO  k = 0, init_3d%nzs-1
                          pr_soil_init(k) = SUM( init_3d%tsoil_3d(k,nys:nyn,nxl:nxr)  )
                       ENDDO
-!               
-!--                   Allocate 1D array for soil-temperature profile (will not be 
-!--                   allocated in lod==2 case). 
+!
+!--                   Allocate 1D array for soil-temperature profile (will not be
+!--                   allocated in lod==2 case).
                       ALLOCATE( init_3d%tsoil_1d(0:init_3d%nzs-1) )
                       init_3d%tsoil_1d = 0.0_wp
@@ -4382,16 +4381,16 @@
                                         REAL( ( nx + 1 ) * ( ny + 1), KIND=wp )
                       DEALLOCATE( pr_soil_init )
-                
+
                    ENDIF
                 ENDIF
-!               
-!--             Broadcast number of soil layers in root model to all childs. 
-!--             Note, only process 0 in COMM_WORLD is sending. 
+!
+!--             Broadcast number of soil layers in root model to all childs.
+!--             Note, only process 0 in COMM_WORLD is sending.
                 IF ( pmc_is_rootmodel() )  nzs_root = init_3d%nzs
-                
+
                 CALL MPI_BCAST( nzs_root, 1, MPI_INTEGER, 0, MPI_COMM_WORLD, ierr )
-!               
-!--             Allocate dummy arrays for soil moisture and temperature profiles 
-!--             on all domains.             
+!
+!--             Allocate dummy arrays for soil moisture and temperature profiles
+!--             on all domains.
                 ALLOCATE( z_soil_root(1:nzs_root)   )
                 IF ( init_msoil_from_driver_root )                             &
@@ -4421,9 +4420,9 @@
 !
 !--             In the following, the child domains decide whether they take
-!--             the information from the root domain or not. 
+!--             the information from the root domain or not.
                 IF ( .NOT. pmc_is_rootmodel() )  THEN
-!               
+!
 !--                If soil moisture or temperature isn't in dynamic input file for
-!--                the child, take the information provided from the root model. 
+!--                the child, take the information provided from the root model.
 !--                Start with z-dimension
                    IF ( .NOT. init_3d%from_file_msoil  .OR.                    &
@@ -4433,26 +4432,26 @@
                       init_3d%z_soil(1:init_3d%nzs) = z_soil_root
                    ENDIF
-!                  
-!--                Take soil moisture. Note, control flags from_file... and LoD 
-!--                need to be set. 
+!
+!--                Take soil moisture. Note, control flags from_file... and LoD
+!--                need to be set.
                    IF ( .NOT. init_3d%from_file_msoil )  THEN
                       ALLOCATE( init_3d%msoil_1d(0:init_3d%nzs-1) )
                       init_3d%lod_msoil = 1
                       init_3d%from_file_msoil = .TRUE.
-                      
-                      init_3d%msoil_1d = m_soil_root             
+
+                      init_3d%msoil_1d = m_soil_root
                    ENDIF
-!                  
-!--                Take soil temperature. Note, control flags from_file... and LoD 
-!--                need to be set. 
+!
+!--                Take soil temperature. Note, control flags from_file... and LoD
+!--                need to be set.
                    IF (  .NOT. init_3d%from_file_tsoil )  THEN
                       ALLOCATE( init_3d%tsoil_1d(0:init_3d%nzs-1) )
                       init_3d%lod_tsoil = 1
                       init_3d%from_file_tsoil = .TRUE.
-                      
-                      init_3d%tsoil_1d = t_soil_root  
+
+                      init_3d%tsoil_1d = t_soil_root
                    ENDIF
                 ENDIF
-                
+
                 DEALLOCATE( z_soil_root )
                 DEALLOCATE( m_soil_root )
@@ -4462,5 +4461,5 @@
           ENDIF
 !
-!--       Proceed with Level 2 initialization. 
+!--       Proceed with Level 2 initialization.
           IF ( init_3d%from_file_msoil )  THEN
 
@@ -4516,8 +4515,8 @@
 !--                      input do not need to be checked whether a grid point
 !--                      is building covered. This is because soil data in the
-!--                      dynamic input is provided for the whole domain.  
+!--                      dynamic input is provided for the whole domain.
                          i = surf_lsm_v(l)%i(m)
                          j = surf_lsm_v(l)%j(m)
-                         
+
                          IF ( init_3d%msoil_3d(0,j,i) /= init_3d%fill_msoil )  &
                             CALL interpolate_soil_profile(                     &
@@ -4575,5 +4574,5 @@
                       i = surf_lsm_h%i(m)
                       j = surf_lsm_h%j(m)
-                      
+
                       IF ( init_3d%tsoil_3d(0,j,i) /= init_3d%fill_tsoil )     &
                          CALL interpolate_soil_profile(                        &
@@ -4596,8 +4595,8 @@
 !--                      input do not need to be checked whether a grid point
 !--                      is building covered. This is because soil data in the
-!--                      dynamic input is provided for the whole domain.  
+!--                      dynamic input is provided for the whole domain.
                          i = surf_lsm_v(l)%i(m)
                          j = surf_lsm_v(l)%j(m)
-                         
+
                          IF ( init_3d%tsoil_3d(0,j,i) /= init_3d%fill_tsoil )  &
                             CALL interpolate_soil_profile(                     &
@@ -4617,9 +4616,9 @@
           ENDIF
 !
-!--       After soil moisture and temperature are finally initialized, check 
-!--       if soil moisture is higher than its saturation value. If this would 
-!--       be the case, the soil model parametrization will produce floating 
+!--       After soil moisture and temperature are finally initialized, check
+!--       if soil moisture is higher than its saturation value. If this would
+!--       be the case, the soil model parametrization will produce floating
 !--       point errors. Hence, limit the soil moisture to its saturation value
-!--       and give a warning. 
+!--       and give a warning.
           DO  m = 1, surf_lsm_h%ns
              IF ( surf_lsm_h%vegetation_surface(m)  .OR.                       &
@@ -4633,5 +4632,5 @@
                             'thus limited to this value to maintain stability.'
                       CALL message( 'lsm_init', 'PA0458', 0, 1, myid, 6, 0 )
-                   ENDIF               
+                   ENDIF
                 ENDDO
              ENDIF
@@ -4651,5 +4650,5 @@
                             ' and is ' //                                      &
                             'thus limited to this value to maintain stability.'
-                         CALL message( 'lsm_init', 'PA0458', 0, 1, myid, 6, 0 )                   
+                         CALL message( 'lsm_init', 'PA0458', 0, 1, myid, 6, 0 )
                       ENDIF
                    ENDDO
@@ -4662,5 +4661,5 @@
           DO  m = 1, surf_lsm_h%ns
 
-             i   = surf_lsm_h%i(m)            
+             i   = surf_lsm_h%i(m)
              j   = surf_lsm_h%j(m)
              k   = surf_lsm_h%k(m)
@@ -4670,10 +4669,10 @@
              t_surface_h%var_1d(m)    = t_soil_h%var_2d(nzb_soil,m)
              surf_lsm_h%pt_surface(m) = t_soil_h%var_2d(nzb_soil,m) / exner(nzb)
-             
+
              IF ( bulk_cloud_model  .OR. cloud_droplets ) THEN
                 surf_lsm_h%pt1(m) = pt(k,j,i) + lv_d_cp * d_exner(k) * ql(k,j,i)
              ELSE
                 surf_lsm_h%pt1(m) = pt(k,j,i)
-             ENDIF 
+             ENDIF
 !
 !--          Assure that r_a cannot be zero at model start
@@ -4691,7 +4690,7 @@
           DO  l = 0, 3
              DO  m = 1, surf_lsm_v(l)%ns
-                i   = surf_lsm_v(l)%i(m)            
+                i   = surf_lsm_v(l)%i(m)
                 j   = surf_lsm_v(l)%j(m)
-                k   = surf_lsm_v(l)%k(m)         
+                k   = surf_lsm_v(l)%k(m)
 !
 !--             Initialize surface temperature with soil temperature in the uppermost
@@ -4704,5 +4703,5 @@
                 ELSE
                    surf_lsm_v(l)%pt1(m) = pt(k,j,i)
-                ENDIF 
+                ENDIF
 
 !
@@ -4711,5 +4710,5 @@
                      surf_lsm_v(l)%pt1(m) = surf_lsm_v(l)%pt1(m) + 1.0E-20_wp
 !
-!--             Set artifical values for ts and us so that r_a has its initial value 
+!--             Set artifical values for ts and us so that r_a has its initial value
 !--             for the first time step. Only for interior core domain, not for ghost points
                 surf_lsm_v(l)%us(m)   = 0.1_wp
@@ -4798,5 +4797,5 @@
 !--       Map calculated root fractions
           DO  m = 1, surf_lsm_h%ns
-             DO  k = nzb_soil, nzt_soil 
+             DO  k = nzb_soil, nzt_soil
                 IF ( surf_lsm_h%pavement_surface(m)  .AND.                     &
                      k <= surf_lsm_h%nzt_pavement(m) )  THEN
@@ -4808,5 +4807,5 @@
              ENDDO
 !
-!--          Normalize so that the sum = 1. Only relevant when the root         
+!--          Normalize so that the sum = 1. Only relevant when the root
 !--          distribution was set to zero due to pavement at some layers.
              IF ( SUM( surf_lsm_h%root_fr(:,m) ) > 0.0_wp )  THEN
@@ -4828,8 +4827,8 @@
                 ENDDO
 !
-!--             Normalize so that the sum = 1. Only relevant when the root      
+!--             Normalize so that the sum = 1. Only relevant when the root
 !--             distribution was set to zero due to pavement at some layers.
                 IF ( SUM( surf_lsm_v(l)%root_fr(:,m) ) > 0.0_wp )  THEN
-                   DO  k = nzb_soil, nzt_soil  
+                   DO  k = nzb_soil, nzt_soil
                       surf_lsm_v(l)%root_fr(k,m) = surf_lsm_v(l)%root_fr(k,m)  &
                       / SUM( surf_lsm_v(l)%root_fr(:,m) )
@@ -4846,9 +4845,9 @@
              IF ( surf_lsm_h%vegetation_surface(m) )  THEN
                 i = surf_lsm_h%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,            &
-                                             surf_lsm_v(l)%building_covered(m) ) 
+                                             surf_lsm_v(l)%building_covered(m) )
                 j = surf_lsm_h%j(m) + MERGE( 0, surf_lsm_v(l)%joff,            &
-                                             surf_lsm_v(l)%building_covered(m) ) 
-                DO  k = nzb_soil, nzt_soil 
-                   surf_lsm_h%root_fr(k,m) = root_area_density_lsm_f%var(k,j,i) 
+                                             surf_lsm_v(l)%building_covered(m) )
+                DO  k = nzb_soil, nzt_soil
+                   surf_lsm_h%root_fr(k,m) = root_area_density_lsm_f%var(k,j,i)
                 ENDDO
 
@@ -4860,10 +4859,10 @@
                 IF ( surf_lsm_v(l)%vegetation_surface(m) )  THEN
                    i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,      &
-                                                   surf_lsm_v(l)%building_covered(m) ) 
+                                                   surf_lsm_v(l)%building_covered(m) )
                    j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,      &
-                                                   surf_lsm_v(l)%building_covered(m) ) 
-
-                   DO  k = nzb_soil, nzt_soil 
-                      surf_lsm_v(l)%root_fr(k,m) = root_area_density_lsm_f%var(k,j,i) 
+                                                   surf_lsm_v(l)%building_covered(m) )
+
+                   DO  k = nzb_soil, nzt_soil
+                      surf_lsm_v(l)%root_fr(k,m) = root_area_density_lsm_f%var(k,j,i)
                    ENDDO
 
@@ -4873,5 +4872,5 @@
 
        ENDIF
- 
+
 !
 !--    Possibly do user-defined actions (e.g. define heterogeneous land surface)
@@ -4880,5 +4879,5 @@
 
 !
-!--    Calculate new roughness lengths (for water surfaces only, i.e. only 
+!--    Calculate new roughness lengths (for water surfaces only, i.e. only
 !-     horizontal surfaces)
        IF ( .NOT. constant_roughness )  CALL calc_z0_water_surface
@@ -4896,5 +4895,5 @@
 
 
-!--    Store initial profiles of t_soil and m_soil (assuming they are 
+!--    Store initial profiles of t_soil and m_soil (assuming they are
 !--    horizontally homogeneous on this PE)
 !--    DEACTIVATED FOR NOW - leads to error when number of locations with
@@ -4902,9 +4901,9 @@
 !        hom(nzb_soil:nzt_soil,1,90,:)  = SPREAD( t_soil_h%var_2d(nzb_soil:nzt_soil,1),  &
 !                                                 2, statistic_regions+1 )
-!        hom(nzb_soil:nzt_soil,1,92,:)  = SPREAD( m_soil_h%var_2d(nzb_soil:nzt_soil,1),  & 
+!        hom(nzb_soil:nzt_soil,1,92,:)  = SPREAD( m_soil_h%var_2d(nzb_soil:nzt_soil,1),  &
 !                                                 2, statistic_regions+1 )
 
 !
-!--    Finally, make some consistency checks. 
+!--    Finally, make some consistency checks.
 !--    Ceck for illegal combination of LAI and vegetation coverage.
        IF ( ANY( .NOT. surf_lsm_h%pavement_surface  .AND.                      &
@@ -4926,6 +4925,6 @@
        ENDDO
 !
-!--    Check if roughness length for momentum, heat, or moisture exceed 
-!--    surface-layer height and decrease local roughness length where 
+!--    Check if roughness length for momentum, heat, or moisture exceed
+!--    surface-layer height and decrease local roughness length where
 !--    necessary. This case, give an informative message. Note, to avoid
 !--    that the job-protocoll is messed-up, this message is only given once.
@@ -5011,18 +5010,18 @@
 !------------------------------------------------------------------------------!
     SUBROUTINE lsm_init_arrays
-    
+
 
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  l !< index indicating facing of surface array 
-   
+       INTEGER(iwp) ::  l !< index indicating facing of surface array
+
        ALLOCATE ( root_extr(nzb_soil:nzt_soil) )
-       root_extr = 0.0_wp 
-       
-!
-!--    Allocate surface and soil temperature / humidity. Please note, 
+       root_extr = 0.0_wp
+
+!
+!--    Allocate surface and soil temperature / humidity. Please note,
 !--    these arrays are allocated according to surface-data structure,
-!--    even if they do not belong to the data type due to the 
-!--    pointer arithmetric (TARGET attribute is not allowed in a data-type). 
+!--    even if they do not belong to the data type due to the
+!--    pointer arithmetric (TARGET attribute is not allowed in a data-type).
 !
 !--    Horizontal surfaces
@@ -5063,5 +5062,5 @@
        ALLOCATE ( tt_surface_h_m%var_1d(1:surf_lsm_h%ns)                 )
        ALLOCATE ( tm_soil_h_m%var_2d(nzb_soil:nzt_soil,1:surf_lsm_h%ns)  )
-       ALLOCATE ( tt_soil_h_m%var_2d(nzb_soil:nzt_soil,1:surf_lsm_h%ns)  ) 
+       ALLOCATE ( tt_soil_h_m%var_2d(nzb_soil:nzt_soil,1:surf_lsm_h%ns)  )
 !
 !--    Horizontal surfaces
@@ -5071,5 +5070,5 @@
           ALLOCATE ( tm_soil_v_m(l)%var_2d(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns)  )
           ALLOCATE ( tt_soil_v_m(l)%var_2d(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns)  )
-       ENDDO 
+       ENDDO
 
 !
@@ -5091,5 +5090,5 @@
        ALLOCATE ( surf_lsm_h%qsws_liq(1:surf_lsm_h%ns)            )
        ALLOCATE ( surf_lsm_h%qsws_veg(1:surf_lsm_h%ns)            )
-       ALLOCATE ( surf_lsm_h%rad_net_l(1:surf_lsm_h%ns)           ) 
+       ALLOCATE ( surf_lsm_h%rad_net_l(1:surf_lsm_h%ns)           )
        ALLOCATE ( surf_lsm_h%r_a(1:surf_lsm_h%ns)                 )
        ALLOCATE ( surf_lsm_h%r_canopy(1:surf_lsm_h%ns)            )
@@ -5103,5 +5102,5 @@
        surf_lsm_h%water_surface        = .FALSE.
        surf_lsm_h%pavement_surface     = .FALSE.
-       surf_lsm_h%vegetation_surface   = .FALSE. 
+       surf_lsm_h%vegetation_surface   = .FALSE.
 
 !
@@ -5139,11 +5138,11 @@
           surf_lsm_v(l)%water_surface       = .FALSE.
           surf_lsm_v(l)%pavement_surface    = .FALSE.
-          surf_lsm_v(l)%vegetation_surface  = .FALSE. 
-          
+          surf_lsm_v(l)%vegetation_surface  = .FALSE.
+
 
 !
 !--       Set default values
           surf_lsm_v(l)%r_canopy_min = 0.0_wp
-        
+
        ENDDO
 
@@ -5178,6 +5177,6 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file 
-       
+       CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file
+
        NAMELIST /lsm_par/         alpha_vangenuchten, c_surface,               &
                                   canopy_resistance_coefficient,               &
@@ -5186,5 +5185,5 @@
                                   deep_soil_temperature,                       &
                                   dz_soil,                                     &
-                                  f_shortwave_incoming, field_capacity,        & 
+                                  f_shortwave_incoming, field_capacity,        &
                                   aero_resist_kray, hydraulic_conductivity,    &
                                   lambda_surface_stable,                       &
@@ -5214,5 +5213,5 @@
                                   deep_soil_temperature,                       &
                                   dz_soil,                                     &
-                                  f_shortwave_incoming, field_capacity,        & 
+                                  f_shortwave_incoming, field_capacity,        &
                                   aero_resist_kray, hydraulic_conductivity,    &
                                   lambda_surface_stable,                       &
@@ -5234,7 +5233,7 @@
                                   z0h_water, z0q_water, z0_pavement,           &
                                   z0h_pavement, z0q_pavement
-                                  
+
        line = ' '
-  
+
 !
 !--    Try to find land surface model package
@@ -5253,5 +5252,5 @@
 !--    Set flag that indicates that the land surface model is switched on
        land_surface = .TRUE.
-       
+
        GOTO 14
 
@@ -5276,9 +5275,9 @@
                      'land_surface_parameters instead'
        CALL message( 'lsm_parin', 'PA0487', 0, 1, 0, 6, 0 )
-       
+
 !
 !--    Set flag that indicates that the land surface model is switched on
        land_surface = .TRUE.
-       
+
        GOTO 14
 
@@ -5289,5 +5288,5 @@
 
  14    CONTINUE
-       
+
 
     END SUBROUTINE lsm_parin
@@ -5363,12 +5362,12 @@
                 IF ( surf%pavement_surface(m)  .AND.                           &
                      k <= surf%nzt_pavement(m) )  THEN
-                   
+
                    surf%rho_c_total(k,m) = surf%rho_c_total_def(k,m)
-                   lambda_temp(k)        = surf%lambda_h_def(k,m) 
-
-                ELSE            
-!
-!--                Calculate volumetric heat capacity of the soil, taking 
-!--                into account water content 
+                   lambda_temp(k)        = surf%lambda_h_def(k,m)
+
+                ELSE
+!
+!--                Calculate volumetric heat capacity of the soil, taking
+!--                into account water content
                    surf%rho_c_total(k,m) = (rho_c_soil *                       &
                                                ( 1.0_wp - surf%m_sat(k,m) )    &
@@ -5390,5 +5389,5 @@
 
 !
-!--          Calculate soil heat conductivity (lambda_h) at the _layer level 
+!--          Calculate soil heat conductivity (lambda_h) at the _layer level
 !--          using linear interpolation. For pavement surface, the
 !--          true pavement depth is considered
@@ -5423,5 +5422,5 @@
                                        surf_t_soil%var_2d(nzb_soil:nzt_soil,m) &
                                                + dt_3d * ( tsc(2)              &
-                                               * tend(nzb_soil:nzt_soil)       & 
+                                               * tend(nzb_soil:nzt_soil)       &
                                                + tsc(3)                        &
                                                * surf_tt_soil_m%var_2d(nzb_soil:nzt_soil,m) )
@@ -5448,5 +5447,5 @@
 
 !
-!--             In order to prevent water tranport through paved surfaces, 
+!--             In order to prevent water tranport through paved surfaces,
 !--             conductivity and diffusivity are set to zero
                 IF ( surf%pavement_surface(m)  .AND.                           &
@@ -5454,7 +5453,7 @@
                    lambda_temp(k) = 0.0_wp
                    gamma_temp(k)  = 0.0_wp
-   
-                ELSE 
-    
+
+                ELSE
+
 !
 !--                Calculate soil diffusivity at the center of the soil layers
@@ -5500,19 +5499,19 @@
                 IF ( humidity )  THEN
 !
-!--                Calculate soil diffusivity (lambda_w) at the _layer level 
+!--                Calculate soil diffusivity (lambda_w) at the _layer level
 !--                using linear interpolation. To do: replace this with
 !--                ECMWF-IFS Eq. 8.81
                    DO  k = nzb_soil, nzt_soil-1
-                
+
                       surf%lambda_w(k,m) = ( lambda_temp(k+1) + lambda_temp(k) )  &
                                            * 0.5_wp
                       surf%gamma_w(k,m)  = ( gamma_temp(k+1)  +  gamma_temp(k) )  &
                                            * 0.5_wp
-                                            
+
                    ENDDO
 !
 !
-!--                In case of a closed bottom (= water content is conserved), 
-!--                set hydraulic conductivity to zero to that no water will be 
+!--                In case of a closed bottom (= water content is conserved),
+!--                set hydraulic conductivity to zero to that no water will be
 !--                lost in the bottom layer. As gamma_w is always a positive value,
 !--                it cannot be set to zero in case of purely dry soil since this
@@ -5525,18 +5524,18 @@
                    ELSE
                       surf%gamma_w(nzt_soil,m) = gamma_temp(nzt_soil)
-                   ENDIF     
-
-!--                The root extraction (= root_extr * qsws_veg / (rho_l     
-!--                * l_v)) ensures the mass conservation for water. The         
-!--                transpiration of plants equals the cumulative withdrawals by 
-!--                the roots in the soil. The scheme takes into account the 
-!--                availability of water in the soil layers as well as the root 
-!--                fraction in the respective layer. Layer with moisture below 
-!--                wilting point will not contribute, which reflects the 
+                   ENDIF
+
+!--                The root extraction (= root_extr * qsws_veg / (rho_l
+!--                * l_v)) ensures the mass conservation for water. The
+!--                transpiration of plants equals the cumulative withdrawals by
+!--                the roots in the soil. The scheme takes into account the
+!--                availability of water in the soil layers as well as the root
+!--                fraction in the respective layer. Layer with moisture below
+!--                wilting point will not contribute, which reflects the
 !--                preference of plants to take water from moister layers.
 !
-!--                Calculate the root extraction (ECMWF 7.69, the sum of 
-!--                root_extr = 1). The energy balance solver guarantees a 
-!--                positive transpiration, so that there is no need for an 
+!--                Calculate the root extraction (ECMWF 7.69, the sum of
+!--                root_extr = 1). The energy balance solver guarantees a
+!--                positive transpiration, so that there is no need for an
 !--                additional check.
                    m_total = 0.0_wp
@@ -5546,5 +5545,5 @@
                                 * surf_m_soil%var_2d(k,m)
                       ENDIF
-                   ENDDO  
+                   ENDDO
                    IF ( m_total > 0.0_wp )  THEN
                       DO  k = nzb_soil, nzt_soil
